using System;

namespace ConsoleApp4
{
    class Program
    {
        static void Main(string[] args)
        {
            int a = int.Parse(Console.ReadLine());
            int b = int.Parse(Console.ReadLine());
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            if (a == x && b == y)
            {
                Console.WriteLine("nijedan");
            }
            else if (a == x && b > y)
            {
                Console.WriteLine("drugi");
            }
            else if (a > x && b == y)
            {
                Console.WriteLine("prvi");
            }
            else
                Console.WriteLine("?");
            Console.ReadKey();
        }
    }
}